import { handle } from '../../index'

const suffix = 'api'

// 常见问题-列表
export const faqsGetFaqsList = (params: any) => handle({
  url: `/${suffix}/faqs/getFaqsList`,
  method: 'post',
  params
})
// 常见问题-新增
export const faqsAddFaqs = (params: any) => handle({
  url: `/${suffix}/faqs/addFaqs`,
  method: 'post',
  params
})
// 常见问题-编辑
export const faqsUpdateFaqs = (params: any) => handle({
  url: `/${suffix}/faqs/updateFaqs`,
  method: 'post',
  params
})
// 常见问题-批量编辑
export const faqsUpdateBatchFaqs = (params: any) => handle({
  url: `/${suffix}/faqs/updateBatchFaqs`,
  method: 'post',
  params
})
// 常见问题-赞踩
export const faqsIsUseFaqs = (params: any) => handle({
  url: `/${suffix}/faqs/isUseFaqs`,
  method: 'get',
  params
})
// 常见问题-浏览
export const faqsBrowseFaqs = (params: any) => handle({
  url: `/${suffix}/faqs/browseFaqs`,
  method: 'get',
  params
})
