const state = {
  //  11位手机号 + 带区号座机号 + 不带区号座机 + 空格
  phoneCN: /^(1[3-9]\d{9}|\d{3,4}-\d{7,8}|\d{7,8}|\s+)$/,
  //  邮箱
  email: /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$/,
  //  密码级别低(0)：请输入8~16位密码
  password0: /^.{8,16}$/,
  //  密码级别中(1)：请输入8~16位密码，要求同时包含大小写字母、数字
  password1: /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d).{8,16}$/,
  //  密码级别高(2)：请输入8~16位密码，要求同时包含大小写字母、数字、特殊字符
  password2: /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[~!@#$%^&*()_+`\-={}[\]:;"'<>,.?/]).{8,16}$/,
  // ip
  ip: /^((2(5[0-5]|[0-4]\d))|[0-1]?\d{1,2})(\.((2(5[0-5]|[0-4]\d))|[0-1]?\d{1,2})){3}$/,
}

const getters = {
}

const mutations = {
}

const actions = {
}

export default {
  namespaced: true,
  state,
  getters,
  mutations,
  actions
}
