import { handle } from '../../index'

const suffix = 'api'

//获取用户友情链接与系统导航
export const systemMenuPortal = (params: any) => handle({
  url: `/${suffix}/system/menu/portal`,
  method: 'get',
  params
})

// 获取品高token
export const systemBingoGetBingoJwt = (params: any) => handle({
  url: `/${suffix}/system/bingo/getBingoJwt`,
  method: 'get',
  params
})

//获取海康登录用户名
export const systemBingoGetHkUserName = (params: any) => handle({
  url: `/${suffix}/system/bingo/getHkUserName`,
  method: 'get',
  params
})

//获取小目标雷达
export const systemBingoGetXmbJwt = (params: any) => handle({
  url: `/${suffix}/system/bingo/getXmbJwt`,
  method: 'get',
  params
})

//获取值班详情
export const portalGetDutyPersonByTime = (params: any) => handle({
  url: `/${suffix}/portal/getDutyPersonByTime`,
  method: 'get',
  params
})

//走访计划
export const portalGetVisitPlanInfo = (params: any) => handle({
  url: `/${suffix}/portal/getVisitPlanInfo`,
  method: 'get',
  params
})

//我的代办
export const portalGetHandleStatistics = (params: any) => handle({
  url: `/${suffix}/portal/getHandleStatistics`,
  method: 'post',
  params
})

//处理列表-预警
export const portalPendingListWarning = (params: any) => handle({
  url: `/${suffix}/portal/pending/list/warning`,
  method: 'post',
  params
})

//处理列表-流程审批
export const portalPendingListWorkflow = (params: any) => handle({
  url: `/${suffix}/portal/pending/list/workflow`,
  method: 'post',
  params
})

//处理列表-值班要情
export const portalPendingListReport = (params: any) => handle({
  url: `/${suffix}/portal/pending/list/report`,
  method: 'post',
  params
})